import { Deserialize } from './de';
import { Serialize } from './ser';
export declare class Registry {
    serializers: Map<Function, Serialize<any>>;
    deserializers: Map<Function, Deserialize<any>>;
    registerSerializer<T>(ctor: Function, serialize: Serialize<T>): void;
    registerDeserializer<T>(ctor: Function, deserialize: Deserialize<T>): void;
}
export declare const GlobalRegistry: Registry;
export declare const registerSerializer: <T>(ctor: Function, serialize: Serialize<T>) => void;
export declare const registerDeserializer: <T>(ctor: Function, deserialize: Deserialize<T>) => void;
